
(* This file was auto-generated based on "parserMessages.messages". *)

(* Please note that the function [message] can raise [Not_found]. *)

let message =
  fun s ->
    match s with
    | 261 ->
        "An expression is expected at this point.\nExamples of expressions:\n  term\n  t = term; { t }\n  LPAREN; ~ = term; RPAREN; <>\n  factor | ~ = term; ~ = op; ~ = factor; <EBinOp>\n"
    | 224 ->
        "At this point, one of the following is expected:\na semicolon ';' followed with an expression, or\na bar '|' followed with an expression, or\na comma ',' followed with an expression, or\na closing parenthesis ')'.\n"
    | 230 ->
        "At this point, one of the following is expected:\na comma ',' followed with an expression, or\na bar '|' followed with an expression, or\na closing parenthesis ')'.\n"
    | 225 | 277 | 238 | 217 ->
        "After a semicolon, an expression is expected.\n(A rule cannot be terminated with a semicolon.)\nExamples of expressions:\n  term\n  t = term; { t }\n  LPAREN; ~ = term; RPAREN; <>\n"
    | 214 | 285 | 222 | 231 ->
        "An expression is expected at this point.\nExamples of expressions:\n  term\n  t = term; { t }\n  LPAREN; ~ = term; RPAREN; <>\n  factor | term; MUL; factor\n"
    | 219 | 227 ->
        "A comma-separated list of expressions is expected at this point.\n"
    | 216 ->
        "At this point, one of the following is expected:\na semicolon ';' followed with an expression, or\na bar '|' followed with an expression, or\nanother rule.\n"
    | 284 ->
        "At this point, one of the following is expected:\na bar '|' followed with an expression, or\nanother rule.\n"
    | 221 ->
        "At this point, one of the following is expected:\nan equals sign '=' followed with a symbol, or\na semicolon ';' followed with an expression, or\na bar '|' followed with an expression, or\na closing parenthesis ')'.\n"
    | 213 ->
        "At this point, one of the following is expected:\nan equals sign '=' followed with a symbol, or\na semicolon ';' followed with an expression, or\na bar '|' followed with an expression, or\nanother rule.\n"
    | 207 ->
        "A pattern is expected at this point.\nExamples of patterns:\n  x\n  ~\n  _\n  (x, y, _)\n"
    | 209 | 211 ->
        "The previous opening parenthesis seemed to be the beginning of a tuple pattern.\nThus, either a comma ',' followed with a pattern\nor a closing parenthesis ')' is expected at this point.\n"
    | 200 | 203 ->
        "This opening parenthesis seems to be the beginning of a tuple pattern.\nThus, a comma-separated list of patterns is expected at this point.\n"
    | 272 | 233 ->
        "A semantic action is expected at this point.\n"
    | 276 | 237 ->
        "A semicolon ';' is expected at this point.\n"
    | 275 | 236 ->
        "A symbol is expected at this point.\n"
    | 274 | 235 ->
        "An equals sign '=' is expected at this point.\n"
    | 191 ->
        "An expression is expected at this point.\nExamples of expressions:\n  term\n  t = term; { t }\n  LPAREN; ~ = term; RPAREN; <>\n  factor | term; MUL; factor\n"
    | 186 ->
        "At this point, one of the following is expected:\na comma ',' followed with an expression, or\na closing parenthesis ')'.\n"
    | 185 ->
        "A comma-delimited list of formal parameters is expected at this point.\n"
    | 184 | 188 ->
        "An equality symbol ':=' or '==' is expected at this point.\nExamples of well-formed rules:\n  let  option(X) := { None } | x = X; { Some x } (* ordinary *)\n  let ioption(X) == { None } | x = X; { Some x } (*  inline  *)\n"
    | 180 ->
        "A lowercase identifier is expected at this point.\n"
    | 93 ->
        "Ill-formed rule.\n'let' or '%inline' or a non-terminal symbol is expected at this point.\nExamples of well-formed rules:\n  %public     option(X):   { None } | x = X  { Some x }\n  %public let option(X) := { None } | x = X; { Some x }\n"
    | 59 | 67 | 61 | 66 | 62 | 71 ->
        "Ill-formed '%attribute' declaration.\nAn '%attribute' declaration should contain a nonempty list of symbols,\nfollowed with a nonempty list of attributes.\nExamples of well-formed declarations:\n  %attribute FOO [@printer \"foo\"]\n  %attribute bar BAZ [@printer \"bar/BAZ\"] [@cost 2.0]\n"
    | 13 ->
        "Ill-formed list of actual parameters.\nEither a modifier '*' or '+' or '?'\nor a closing parenthesis ')'\nor a comma ',' is expected at this point.\nExamples of well-formed actual parameters:\n  expr\n  expr+\n  option(expr)\n  separated_list(COMMA, expr)\n"
    | 12 | 156 | 122 ->
        "Ill-formed list of actual parameters.\nA comma-delimited list of actual parameters is expected at this point.\nExamples of well-formed actual parameters:\n  expr\n  expr+\n  option(expr)\n  separated_list(COMMA, expr)\n"
    | 176 ->
        "Either another rule\nor another production '|' ...\nis expected at this point.\nExamples of well-formed rules:\n  option(X): { None } | x = X { Some x }\n"
    | 114 ->
        "Ill-formed rule.\nA colon ':' is expected at this point.\nExamples of well-formed rules:\n  option(X): { None } | x = X { Some x }\n"
    | 137 ->
        "Ill-formed rule.\nEither a semantic action '{' ... '}'\nor another production '|' ...\nis expected at this point.\nExamples of well-formed rules:\n  expr: MINUS e = expr %prec UMINUS { -e }\n"
    | 151 | 130 | 170 | 194 ->
        "Ill-formed %prec annotation.\nA symbol is expected at this point.\nExamples of well-formed annotations:\n  expr: MINUS e = expr %prec UMINUS { -e }\n"
    | 129 | 134 ->
        "Either another production '|' ...\nor a comma ','\nor a closing parenthesis ')'\nis expected at this point.\n"
    | 135 ->
        "A production is expected at this point.\nA production is a sequence of producers, followed with a semantic action.\nExamples of well-formed producers:\n  expr\n  option(COMMA)\n  separated_list(COMMA, expr)\n  e = expr\n  ds = declaration*\n  es = list(terminated(expr, SEMI))\n  es = list(e = expr SEMI { e })\n  xs = list(x = var { Some x } | WILDCARD { None })\n"
    | 146 | 147 | 118 | 119 | 162 | 124 | 159 ->
        "Ill-formed production.\nA production is a sequence of producers, followed with a semantic action.\nExamples of well-formed producers:\n  expr\n  option(COMMA)\n  separated_list(COMMA, expr)\n  e = expr\n  ds = declaration*\n  es = list(terminated(expr, SEMI))\n  es = list(e = expr SEMI { e })\n  xs = list(x = var { Some x } | WILDCARD { None })\n  expr [@cost 0]\n"
    | 115 | 117 | 177 | 138 ->
        "Ill-formed rule.\nA list of productions is expected at this point.\nExamples of well-formed rules:\n  main: e = expr; EOL { e }\n  expr: i = INT { i } | e1 = expr; PLUS; e2 = expr { e1 + e2 }\n  symbol: s = LID | s = UID { s }\n"
    | 112 ->
        "Ill-formed rule.\nA closing parenthesis ')' is expected at this point.\nExamples of well-formed rules:\n  option(X): { None } | x = X { Some x }\n  pair(X, Y): x = X; y = Y { (x, y) }\n"
    | 108 | 110 ->
        "Ill-formed rule.\nA comma-delimited list of formal parameters is expected at this point.\nExamples of well-formed rules:\n  option(X): { None } | x = X { Some x }\n  pair(X, Y): x = X; y = Y { (x, y) }\n"
    | 107 ->
        "Ill-formed rule.\nEither a parenthesized, comma-delimited list of formal parameters\nor an attribute\nor a colon ':' is expected at this point.\nExamples of well-formed rules:\n  main: e = expr; EOL { e }\n  expr: i = INT { i } | e1 = expr; PLUS; e2 = expr { e1 + e2 }\n  option(X): { None } | x = X { Some x }\n  main [@cost 0]: e = expr; EOL { e }\n"
    | 100 ->
        "Ill-formed rule.\nA non-terminal symbol is expected at this point.\nExamples of well-formed rules:\n  %public option(X): { None } | x = X { Some x }\n  %inline clist(X): xs = separated_nonempty_list(COMMA?, X) { xs }\n  %public %inline pair(X, Y): x = X; y = Y { (x, y) }\n"
    | 95 ->
        "Ill-formed rule.\nEither '%public' or a non-terminal symbol is expected at this point.\nExamples of well-formed rules:\n  %public option(X): { None } | x = X { Some x }\n  %inline clist(X): xs = separated_nonempty_list(COMMA?, X) { xs }\n  %public %inline pair(X, Y): x = X; y = Y { (x, y) }\n"
    | 169 ->
        "Either another production '|' ...\nor another rule is expected at this point.\n"
    | 165 ->
        "Another rule is expected at this point.\n"
    | 92 ->
        "A rule is expected at this point.\n"
    | 74 ->
        "Ill-formed '%parameter' declaration.\nExamples of well-formed declarations:\n  %parameter <X : sig type t end>\n"
    | 86 | 87 | 88 ->
        "Ill-formed precedence declaration.\nExamples of well-formed declarations:\n  %left PLUS\n  %left PLUS MINUS\n  %nonassoc unary_minus\n  %right CONCAT\n"
    | 49 | 51 | 52 | 53 ->
        "Ill-formed '%start' declaration.\nA start symbol must begin with a lowercase letter.\nExamples of well-formed declarations:\n  %start program\n  %start expression phrase\n  %start <int> date time\n"
    | 37 | 39 | 40 | 45 | 46 ->
        "Ill-formed '%token' declaration.\nExamples of well-formed declarations:\n  %token FOO\n  %token BAR \"|\"\n  %token DOT \".\" SEMICOLON \";\"\n  %token <string> LID UID\n  %token FOO [@cost 0]\n"
    | 1 | 2 | 6 | 7 | 32 | 11 | 17 | 27 | 76 ->
        "Ill-formed declaration.\nExamples of well-formed declarations:\n  %type <Syntax.expression> expression\n  %type <int> date time\n  %type <int option> option(date)\n  %on_error_reduce expression\n  %on_error_reduce date time\n  %on_error_reduce option(date)\n"
    | 0 | 296 ->
        "Either a declaration or '%%' is expected at this point.\n"
    | _ ->
        raise Not_found
